summaryrefslogtreecommitdiff
path: root/tests/ls
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-08-16 16:28:11 +0200
committerJim Meyering <jim@meyering.net>2007-09-15 08:40:38 +0200
commitc840cd4334c086f5ce4d9144d9fac75643824a38 (patch)
treed189abc0f2395a2b799ed47ebabf0ef54b06b4df /tests/ls
parent7a6a30b8a2dea2a1b49d43ee9ab70880a0aa435a (diff)
downloadcoreutils-c840cd4334c086f5ce4d9144d9fac75643824a38.tar.xz
Parallel "make check" support.
* build-aux/check.mk: New file, from The Vaucanson Group. * .x-sc_GPL_version: New file, to allow "version 2 or later" in build-aux/check.mk. * Makefile.am (EXTRA_DIST): Add .x-sc_GPL_version. * tests/check.mk: New file. * tests/Makefile.am (EXTRA_DIST): Add check.mk, mkdtemp and test-lib.sh. Begin factoring "sample-test" out of test scripts. * tests/test-lib.sh: New file, to be sourced by all tests that were previously derived from the "sample-test" template. * tests/mkdtemp: New file. * tests/touch/dir-1: Use test-lib.sh. * tests/touch/empty-file: Likewise. * tests/touch/fail-diag: Likewise. * tests/touch/fifo: Likewise. * tests/touch/no-create-missing: Likewise. * tests/touch/no-rights: Likewise. Also, don't sleep. * tests/touch/not-owner: Likewise. * tests/touch/obsolescent: Likewise. * tests/touch/read-only: Likewise. * tests/touch/relative: Likewise. * tests/touch/Makefile.am: Include $(top_srcdir)/tests/check.mk, to get the parallel-"make check" bits. Move a slow test into tests/misc. * tests/check.mk: Wrapper. * tests/ls/time-1: Move this file to tests/misc/ls-time. * tests/misc/ls-time: New file. From tests/ls/time-1. * tests/ls/Makefile.am (TESTS): Remove time-1. * tests/misc/Makefile.am (TESTS): Add ls-time.
Diffstat (limited to 'tests/ls')
-rw-r--r--tests/ls/Makefile.am2
-rwxr-xr-xtests/ls/time-1155
2 files changed, 1 insertions, 156 deletions
diff --git a/tests/ls/Makefile.am b/tests/ls/Makefile.am
index 2d6e0cde3..b2aca8b5a 100644
--- a/tests/ls/Makefile.am
+++ b/tests/ls/Makefile.am
@@ -22,7 +22,7 @@ TESTS = \
stat-failed \
stat-dtype \
inode dangle file-type recursive dired infloop \
- rt-1 time-1 symlink-slash follow-slink no-arg m-option \
+ rt-1 symlink-slash follow-slink no-arg m-option \
stat-vs-dirent x-option
EXTRA_DIST = $(TESTS)
diff --git a/tests/ls/time-1 b/tests/ls/time-1
deleted file mode 100755
index 9456411bd..000000000
--- a/tests/ls/time-1
+++ /dev/null
@@ -1,155 +0,0 @@
-#!/bin/sh
-# Test some of ls's sorting options.
-
-# Copyright (C) 1998, 1999, 2000, 2001, 2004, 2007 Free Software Foundation,
-# Inc.
-
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see <http://www.gnu.org/licenses/>.
-
-if test "$VERBOSE" = yes; then
- set -x
- ls --version
-fi
-
-. $srcdir/../envvar-check
-
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit $?' 1 2 13 15
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
-
-# Avoid any possible glitches due to daylight-saving changes near the
-# time stamps used during the test.
-TZ=UTC0
-export TZ
-
-tmp=t-ls.$$
-
-framework_failure=0
-mkdir $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-
-t1='1998-01-15 21:00'
-t2='1998-01-15 22:00'
-t3='1998-01-15 23:00'
-
-u1='1998-01-14 11:00'
-u2='1998-01-14 12:00'
-u3='1998-01-14 13:00'
-
-touch -m -d "$t3" a || framework_failure=1
-touch -m -d "$t2" b || framework_failure=1
-touch -m -d "$t1" c || framework_failure=1
-
-touch -a -d "$u3" c || framework_failure=1
-touch -a -d "$u2" b || framework_failure=1
-# Make sure A has ctime at least 1 second more recent than C's.
-sleep 2
-touch -a -d "$u1" a || framework_failure=1
-
-fail=0
-
-# A has ctime more recent than C.
-set `ls -c a c`
-test "$*" = 'a c' || fail=1
-
-# Sleep so long in an attempt to avoid spurious failures
-# due to NFS caching and/or clock skew.
-sleep 2
-
-# Create a link, updating c's ctime.
-ln c d || framework_failure=1
-
-# Before we go any further, verify that touch's -m option works.
-set -- `ls --full -l a`
-case "$*" in
- *" $t3:00.000000000 +0000 a") ;;
- *)
- # This might be what's making HPUX 11 systems fail this test.
- cat >&2 << EOF
-A basic test of touch -m has just failed, so the subsequent
-tests in this file will not be run.
-
-In the output below, the date of last modification for \`a' should
-have been $t3.
-EOF
- #`
- ls --full -l a
- framework_failure=1
- ;;
-esac
-
-# Now test touch's -a option.
-set -- `ls --full -lu a`
-case "$*" in
- *" $u1:00.000000000 +0000 a") ;;
- *)
- # This might be what's making HPUX 11 systems fail this test.
- cat >&2 << EOF
-A basic test of touch -a has just failed, so the subsequent
-tests in this file will not be run.
-
-In the output below, the date of last access for \`a' should
-have been $u1.
-EOF
- ls --full -lu a
- (exit 77); exit 77
- ;;
-esac
-
-if test $framework_failure = 1; then
- echo 'failure in testing framework'
- exit 1
-fi
-
-set `ls -ut a b c`
-test "$*" = 'c b a' && : || fail=1
-test $fail = 1 && ls -l --full-time --time=access a b c
-
-set `ls -t a b c`
-test "$*" = 'a b c' && : || fail=1
-test $fail = 1 && ls -l --full-time a b c
-
-# Now, C should have ctime more recent than A.
-set `ls -ct a c`
-if test "$*" = 'c a'; then
- : ok
-else
- # In spite of documentation, (e.g., stat(2)), neither link nor chmod
- # update a file's st_ctime on SunOS4.1.4.
- cat >&2 << \EOF
-failed ls ctime test -- this failure is expected at least for SunOS4.1.4
-and for tmpfs file systems on Solaris 5.5.1.
-
-In the output below, `c' should have had a ctime more recent than
-that of `a', but does not.
-EOF
- #'
- ls -ctl --full-time a c
- fail=1
-fi
-
-cd ..
-rm -rf $tmp
-
-exit $fail